Commit 3d248efa authored by Jérémie Gaidamour's avatar Jérémie Gaidamour
Browse files

[dev] Check ruby version

Otherwise we get inexplicable errors with pathname or hash.select ...
parent 102a7984
#!/usr/bin/ruby #!/usr/bin/ruby
if RUBY_VERSION < "2.1"
puts "This script requires ruby >= 2.1"
exit
end
# See also: https://www.grid5000.fr/mediawiki/index.php/DNS_server # See also: https://www.grid5000.fr/mediawiki/index.php/DNS_server
require 'pp' require 'pp'
......
#!/usr/bin/ruby #!/usr/bin/ruby
if RUBY_VERSION < "2.1"
puts "This script requires ruby >= 2.1"
exit
end
# This script generates conmang5k/files/<site_uid>/conman.conf from input/, conf/console.yaml and conf/console-password.yaml # This script generates conmang5k/files/<site_uid>/conman.conf from input/, conf/console.yaml and conf/console-password.yaml
require 'pp' require 'pp'
......
#!/usr/bin/ruby #!/usr/bin/ruby
if RUBY_VERSION < "2.1"
puts "This script requires ruby >= 2.1"
exit
end
require 'pp' require 'pp'
require 'erb' require 'erb'
require 'pathname' require 'pathname'
......
#!/usr/bin/ruby #!/usr/bin/ruby
if RUBY_VERSION < "2.1"
puts "This script requires ruby >= 2.1"
exit
end
# This script generates: # This script generates:
# - kadeployg5k/files/<site_uid>/server_conf[_dev]/clusters.conf from input/ # - kadeployg5k/files/<site_uid>/server_conf[_dev]/clusters.conf from input/
# - kadeployg5k/files/<site_uid>/server_conf[_dev]/<cluster_uid>-cluster.conf from conf/kadeployg5k.yaml and template/kadeployg5k.yaml.Erb # - kadeployg5k/files/<site_uid>/server_conf[_dev]/<cluster_uid>-cluster.conf from conf/kadeployg5k.yaml and template/kadeployg5k.yaml.Erb
......
#!/usr/bin/ruby #!/usr/bin/ruby
if RUBY_VERSION < "2.1"
puts "This script requires ruby >= 2.1"
exit
end
# This script generates lanpowerg5k/files/<site_uid>/lanpower.conf from conf/console.yaml and conf/console-password.conf # This script generates lanpowerg5k/files/<site_uid>/lanpower.conf from conf/console.yaml and conf/console-password.conf
require 'pp' require 'pp'
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment